Skip to main content
POST
/
api
/
v1
/
payments
/
stripe
/
update-subscription
Update Subscription Plan
curl --request POST \
  --url https://api.devkit4ai.com/api/v1/payments/stripe/update-subscription \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_price_id": "<string>",
  "proration_behavior": "create_prorations"
}
'
{
  "subscription_id": "<string>",
  "status": "<string>",
  "price_id": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

test_mode
boolean
default:true

Use test mode

Body

application/json

Request to update/change subscription plan.

new_price_id
string
required
Minimum string length: 1
proration_behavior
string
default:create_prorations
Pattern: ^(create_prorations|none|always_invoice)$

Response

Successful Response

Update subscription response.

subscription_id
string
required
status
string
required
price_id
string
required
message
string
required